﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

public partial class Invoice
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Required]
    [Column("invoice_number")]
    [StringLength(255)]
    public string InvoiceNumber { get; set; }

    [Column("created_at", TypeName = "date")]
    public DateTime CreatedAt { get; set; }

    [Column("booking_id")]
    public Guid BookingId { get; set; }

    [Column("amount", TypeName = "decimal(18, 6)")]
    public decimal? Amount { get; set; }

    [Column("paid")]
    public bool Paid { get; set; }

    [ForeignKey("BookingId")]
    [InverseProperty("Invoices")]
    public virtual Booking Booking { get; set; }

    [InverseProperty("Invoice")]
    public virtual ICollection<InvoiceConsumable> InvoiceConsumables { get; set; } = new List<InvoiceConsumable>();
}